%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_docdir}/

Summary:       Minimal try/catch with proper localization of $@
Name:          perl-Try-Tiny
Version:       0.31
Release:       7%{?dist}
License:       MIT
URL:           https://metacpan.org/release/Try-Tiny
Source0:       https://cpan.metacpan.org/authors/id/E/ET/ETHER/Try-Tiny-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: coreutils findutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires: perl(Carp) perl(constant) perl(Exporter) >= 5.57 perl(strict) perl(Sub::Util) perl(warnings)
BuildRequires: perl(File::Spec) perl(Test::More) >= 0.96
BuildRequires: perl(Capture::Tiny) >= 0.12 perl(CPAN::Meta) >= 2.120900 perl(CPAN::Meta::Check) >= 0.011 perl(CPAN::Meta::Requirements)
Requires:       perl(Sub::Util)

%description
This module provides bare bones try/catch statements,which provides a nice syntax 
and avoids adding another call stack layer, and supports calling return from the 
try block to return from the parent subroutine. It is designed to minimize common 
mistakes with eval blocks.

%prep
%autosetup -n Try-Tiny-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENCE
%doc Changes CONTRIBUTING README t/
%{perl_vendorlib}/Try/
%{_mandir}/man3/Try::Tiny.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.31-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.31-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.31-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.31-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.31-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.31-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 11 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.31-1
- package init.
